TRUNCATE(1)

NOM
truncate - Réduire ou étendre la taille d'un fichier à la taille indiquée

SYNOPSIS
truncate OPTION... FICHIER...

DESCRIPTION

Réduire ou étendre la taille de chaque fichier à la taille indiquée

Un paramètre FICHIER qui n'existe pas sera créé.

Si un FICHIER est plus gros que la taille indiquée, les données supplémentaires seront perdues. Si un FICHIER est plus petit, il est étendu, et la lecture de la partie rajoutée (un trou) fournira des octets nuls.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-c, --no-create
    ne créer aucun fichier

-o, --io-blocks
    traiter la TAILLE comme un nombre de blocs d'entrées-sorties au lieu d'un nombre d'octets

-r, --reference=FICHIERR
    utiliser la taille de FICHIERR

-s, --size=TAILLE
    utiliser cette TAILLE

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

TAILLE doit être un nombre suivi optionnellement d'une unité (par exemple : 10M vaut 10*1024*1024). Les unités possibles sont K, M, G, T, P, E, Z, Y (puissances de 1024) ou KB, MB, ... (puissances de 1000).

TAILLE peut aussi être préfixée par un des caractères modificateurs suivants : « + » agrandit de, « - » réduit de, « < » au plus, « > » au moins, « / » arrondi au multiple inférieur de, « % » arrondi au multiple supérieur de.

AUTEUR
Écrit par Padraig Brady.

SIGNALER DES BOGUES
Signaler toute anomalie de truncate à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <http://www.gnu.org/gethelp/>
Signaler toute erreur de traduction de truncate à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
dd(1), truncate(2), ftruncate(2)

La documentation complète pour truncate est disponible dans un manuel Texinfo. Si les programmes info et truncate sont correctement installés sur votre système, la commande

    info coreutils 'truncate invocation'

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Julien Cristau <julien.cristau@ens-lyon.org> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.